Show / Hide Table of Contents

# Class BindingQueue<T>

Main class for the Binding Queue

##### Inheritance

System.Object
BindingQueue<T>
ConnectedBindingQueue

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class BindingQueue<T>
        where T : IBindingContext, new ()

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

| Improve this Doc View Source

#### BindingQueue()

Constructor for a binding queue instance

##### Declaration

    public BindingQueue()

### Methods

| Improve this Doc View Source

#### BindingContextExists(String)

Checks if a binding context already exists for the provided context key

##### Declaration

    protected bool BindingContextExists(string key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | key |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### GetOrCreateBindingContext(String)

Gets or creates a binding context for the provided context key

##### Declaration

    protected IBindingContext GetOrCreateBindingContext(string key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | key |

##### Returns

Type | Description
--- | ---
IBindingContext |

| Improve this Doc View Source

#### QueueBindingOperation(String, Func<IBindingContext, CancellationToken, Object>, Func<IBindingContext, Object>, Nullable<Int32>, Nullable<Int32>)

Queue a binding request item

##### Declaration

    public virtual QueueItem QueueBindingOperation(string key, Func<IBindingContext, CancellationToken, object> bindOperation, Func<IBindingContext, object> timeoutOperation = null, int ? bindingTimeout = null, int ? waitForLockTimeout = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | key |
System.Func<IBindingContext, System.Threading.CancellationToken, System.Object> | bindOperation |
System.Func<IBindingContext, System.Object> | timeoutOperation |
System.Nullable<System.Int32> | bindingTimeout |
System.Nullable<System.Int32> | waitForLockTimeout |

##### Returns

Type | Description
--- | ---
QueueItem |

| Improve this Doc View Source

#### StopQueueProcessor(Int32)

Stops the binding queue by sending cancellation request

##### Declaration

    public bool StopQueueProcessor(int timeout)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | timeout |

##### Returns

Type | Description
--- | ---
System.Boolean |